=== requirements.txt ===
SpeechRecognition==3.8.1
